Subject: PPPoATM, first cut

From: Jens Axboe <[email-masked]>
Date: Mon, 17 Jan 2000 21:33:18 +0100

Hi,

Folks, I now have something that I would like other people to try
out as well. Two parts

1) Kernel patch for 2.3.39 containing
	- atm-0.64 fixes
	- Mitch' PPPoATM from last summer
	- Christophe's sparc64 stuff
	- assorted small fixes of my own (sparc64, atmtcp stats, atmppp
	  additions, etc)

2) pppd patch
	- adds native support for PPPoATM

I can't get it to connect at all... It might be a driver related problem
(Efficient Speedstream 3010 ATM25 here), so if somebody could give this a
whirl on a different NIC that would be great. PPP over ATM does work
with atmtcp, which would also point in the direction of driver problems.

To run, simply patch up and

# pppd atm0 vci 101

or whatever your setup is.

http://www.de.kernel.org/pub/linux/kernel/people/axboe/PPPoATM has all
the stuff, or other kernel.org mirrors naturally.

-- 
*  Jens Axboe <[email-masked]>
*  Linux CD-ROM Maintainer
*  http://www.kernel.dk